Subject: Re: bug#66519: b2sum, md5sum sha*sum etc broken on filenames including backslash

From: "Glenn Golden" <[email-masked]>
Date: Tue, 17 Oct 2023 07:25:49 -0600

On Tue, Oct 17, 2023, at 02:22, Simon Richter M. Sc. wrote:
>
> No that doesn't make sense, this can't be intended behaviour, even if 
> you escape the backslash there should be no backslash in the beginning 
> of the checksum!
>

It is intended and documented as such. From coreutils.info (9.3):

   "Without ‘--zero’, if FILE contains a backslash, newline, or carriage
    return, the line is started with a backslash, and each problematic
    character in the file name is escaped with a backslash, making the
    output unambiguous even in the presence of arbitrary file names."

You can argue that it ought to have been done differently, but it is the 
documented behavior.

Glenn Golden